=== debian/changelog ===
rkcommon (1.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1039110)

 -- Francois Mazen <mzf@debian.org>  Fri, 13 Oct 2023 22:43:30 +0200
