=== debian/control ===
Source: rkcommon
Section: graphics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Francois Mazen <mzf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libtbb-dev
Standards-Version: 4.6.2
Homepage: https://github.com/ospray/rkcommon
Vcs-Browser: https://salsa.debian.org/science-team/rkcommon
Vcs-Git: https://salsa.debian.org/science-team/rkcommon.git
Rules-Requires-Root: no

Package: librkcommon1
Architecture: any-amd64 arm64
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel RenderKit common C++/CMake infrastructure
 This project represents a common set of C++ infrastructure and CMake
 utilities used by various components of Intel oneAPI Rendering Toolkit.

Package: librkcommon-dev
Architecture: any-amd64 arm64
Section: libdevel
Depends: librkcommon1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Development files for librkcommon
 This package contains libraries and header files for
 applications that use librkcommon.
