## rkcommon 1.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 if (RKCOMMON_TASKING_SYSTEM STREQUAL "OpenMP")
   cmake_minimum_required(VERSION 3.9) # NOTE(jda): rely on OpenMP targets
 else()
-  cmake_minimum_required(VERSION 3.1)
+  cmake_minimum_required(VERSION 3.5)
 endif()
 
 set(CMAKE_CXX_STANDARD 11)
@@ -18,7 +18,7 @@
 
 ## Establish project ##
 
-project(rkcommon VERSION 1.13.0 LANGUAGES CXX)
+project(rkcommon VERSION 1.14.2 LANGUAGES CXX)
 
 include(GNUInstallDirs)
 
@@ -45,6 +45,7 @@
 option(BUILD_SHARED_LIBS "Build rkcommon as a shared library" ON)
 option(RKCOMMON_ADDRSAN "Build rkcommon with dlclose disabled for addrsan" OFF)
 option(RKCOMMON_NO_SIMD "Build rkcommon not using SIMD instructions" OFF)
+option(RKCOMMON_WARN_AS_ERRORS "Treat warnings as errors" OFF)
 
 set(CMAKE_SKIP_INSTALL_RPATH OFF)
 if (APPLE)
