=== rkcommon/CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,10 @@
     ${CMAKE_CURRENT_LIST_DIR}
 )
 
+if (RKCOMMON_TASKING_INTERNAL)
+  target_compile_definitions(${PROJECT_NAME} PRIVATE -DENKITS_BUILD_DLL)
+endif()
+
 if (RKCOMMON_ADDRSAN)
   target_compile_definitions(${PROJECT_NAME} PUBLIC -DRKCOMMON_ADDRSAN)
 endif()
@@ -59,7 +63,15 @@
   target_compile_definitions(${PROJECT_NAME} PUBLIC -DRKCOMMON_NO_SIMD)
 endif()
 
-set_property(TARGET rkcommon PROPERTY POSITION_INDEPENDENT_CODE ON)
+if (RKCOMMON_WARN_AS_ERRORS)
+  if(MSVC)
+    target_compile_options(${PROJECT_NAME} PRIVATE /WX)
+  else()
+    target_compile_options(${PROJECT_NAME} PRIVATE -Werror)
+  endif()
+endif()
+
+set_property(TARGET ${PROJECT_NAME} PROPERTY POSITION_INDEPENDENT_CODE ON)
 
 ## Install library + targets ##################################################
