=== debian/changelog ===
rkcommon (1.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream github URL.
  * Bump standard version. 

 -- Francois Mazen <mzf@debian.org>  Sun, 29 Sep 2024 20:18:56 +0200
