=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libtbb-dev
-Standards-Version: 4.6.2
-Homepage: https://github.com/ospray/rkcommon
+Standards-Version: 4.7.0
+Homepage: https://github.com/RenderKit/rkcommon
 Vcs-Browser: https://salsa.debian.org/science-team/rkcommon
 Vcs-Git: https://salsa.debian.org/science-team/rkcommon.git
 Rules-Requires-Root: no
