=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Upstream supports SIMD on amd64 and arm64 only.
NO_SIMD=ON
ifeq ($(DEB_BUILD_ARCH), amd64)
NO_SIMD=OFF
else ifeq ($(DEB_BUILD_ARCH), arm64)
NO_SIMD=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_TESTING=ON \
		-DRKCOMMON_NO_SIMD=$(NO_SIMD)
