=== debian/tests/control ===
Tests: build-and-run
Depends: librkcommon-dev, build-essential
