=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/RenderKit/rkcommon/tags?per_page=50 \
https://api.github.com/repos/RenderKit/rkcommon/tarball/refs/tags/v?@ANY_VERSION@
